%define name libdca
%define version 0.0.5
%define release %mkrel 2
%define major 0
%define libname %mklibname dca %major
%define develname %mklibname -d dca

Summary: DTS Coherent Acoustics decoder
Summary(de): DTS Coherent Acoustics Decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.videolan.org/pub/videolan/libdca/%version/%{name}-%version.tar.xz
License: GPLv2+
Group: Sound
Url: http://www.videolan.org/developers/libdca.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: dtsdec
Provides: dtsdec

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in PLF as it might violate some patents.
#german
%description -l de
Dies ist ein kostenloser Decoder für das DTS Coherent Acoustics Format. 
Es besteht aus einer Bibliothek und einem Kommandozeilen-Decoder. DTS 
ist ein Mehrkanal (5.1) digitales Audio Format von hoher Qualität, 
verwendet von DVD's und DTS Audio CD's.

%package tools
Summary: DTS Coherent Acoustics decoder
Summary(de): DTS Coherent Acoustics Decoder
Group: Sound
Obsoletes: dtsdec
Provides: dtsdec

%description tools
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.
#german
%description tools -l de
Dies ist ein kostenloser Decoder für das DTS Coherent Acoustics Format. 
Es besteht aus einer Bibliothek und einem Kommandozeilen-Decoder. DTS 
ist ein Mehrkanal (5.1) digitales Audio Format von hoher Qualität, 
verwendet von DVD's und DTS Audio CD's.


%package -n %libname
Group: System/Libraries
Summary: DTS Coherent Acoustics decoder shared library
Summary(de): DTS Coherent Acoustics Decoder Bibliothek

%description -n %libname
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.
#german
%description -n %libname -l de
Dies ist ein kostenloser Decoder für das DTS Coherent Acoustics Format. 
Es besteht aus einer Bibliothek und einem Kommandozeilen-Decoder. DTS 
ist ein Mehrkanal (5.1) digitales Audio Format von hoher Qualität, 
verwendet von DVD's und DTS Audio CD's.


%package -n %develname
Group: Development/C
Summary: Library for decoding DTS audio - C development files
Summary(de): Bibliotheken für DTS Audio - C Entwicklerdateien  
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: dtsdec-devel
Provides: dtsdec-devel

%description -n %develname
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.
#german
%description -n %develname -l de
Dies ist ein kostenloser Decoder für das DTS Coherent Acoustics Format. 
Es besteht aus einer Bibliothek und einem Kommandozeilen-Decoder. DTS 
ist ein Mehrkanal (5.1) digitales Audio Format von hoher Qualität, 
verwendet von DVD's und DTS Audio CD's.

Stellt die Entwicklerdateien für libdts bereit.

%prep
%setup -q -n %name-%version

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files tools
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/dtsdec
%_bindir/dcadec
%_bindir/extract_dca
%_bindir/extract_dts
%_mandir/man1/dcadec.1*
%_mandir/man1/extract_dca.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libdca.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc TODO
%_includedir/dts.h
%_includedir/dca.h
%_libdir/*.so
%_libdir/*a
%_libdir/pkgconfig/libdca.pc
%_libdir/pkgconfig/libdts.pc

%changelog
* Sat Mar 03 2012 Neal <nealbrks0 at gmail dot com> 0.0.5-2pclos2012
- process

* Thu Mar 01 2012 leiche <meisssw01 at gmail.com> 0.0.5-2pclos2012
- rebuild
- add german description
- convert archiv to tar.xz

* Mon Aug 25 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.0.5-2plf2007
- Build for PCLOS

